Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update a broadcast

PATCH/broadcasts/{id}
Authorization
AuthorizationBearer token · headerrequired

A BillionSend API key (bs_…).

Path parameters
idstring<uuid>required
Request body
application/json
namestring
segment_idstring<uuid>
fromstring
subjectstring
min length 1 · max length 998
htmlstring
textstring
reply_tostring | string[]
Show properties
Any of:
string
string
string[]
Array of string
string
preview_textstring
topic_idstring<uuid> | null
Responses
200

Broadcast updated

idstring<uuid>required
400

Not a draft

statusCodenumberrequired
namestringrequired
messagestringrequired
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequired
namestringrequired
messagestringrequired
404

Not found

statusCodenumberrequired
namestringrequired
messagestringrequired
422

Validation error

statusCodenumberrequired
namestringrequired
messagestringrequired
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequired
namestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.billionsend.com/broadcasts/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "segment_id": "0dbbf761-5b2d-4647-8bfa-2b714456749c",
  "from": "string",
  "subject": "string",
  "html": "string",
  "text": "string",
  "reply_to": "string",
  "preview_text": "string",
  "topic_id": "646807af-5da6-43aa-83d3-8ac1d15ab4e5"
}'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Was this page helpful?